%def_with sse
%def_without static

Name: libfame
Version: 0.9.0
Release: alt3

Summary: Fast Assembly Mpeg Encoding library
License: LGPL
Group: System/Libraries
Url: http://fame.sourceforge.net
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://prdownloads.sourceforge.net/fame/%name-%version.tar.gz

# Automatically added by buildreq on Sun Oct 13 2002
BuildRequires: glibc-devel-static

%description
FAME is a library for fast MPEG encoding.

%package devel
Summary: Development files for FAME
Group: Development/C
Requires: %name = %version-%release

%description devel
FAME is a library for fast MPEG encoding. This package contains
header files and other resources you can use to develop FAME
applications.

%package devel-static
Summary: FAME static libraries
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
FAME is a library for fast MPEG encoding. This package contains static
version of FAME library.

%prep
%setup -q

%build
%set_verify_elf_method textrel=relaxed

%configure \
	--enable-mmx \
%if_with sse
	--enable-sse
%endif

%make_build

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%if_without static
%__rm -f %buildroot%_libdir/*.a
%endif

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc AUTHORS BUGS CHANGES README TODO

%files devel
%_bindir/*
%_libdir/*.so
%_includedir/*
%_datadir/aclocal/*
%_man3dir/*

%if_with static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Wed Dec 17 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt3
- do not package .la files.
- do not build devel-static subpackage by default.
- use %%set_verify_elf_method textrel=relaxed, I can't fix asm code.

* Sun Oct 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt2
- Rebuild with gcc-3.2

* Fri May 31 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt1
- 0.9.0

* Thu May 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.8.10-alt1
- First build for Sisyphus.

